Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\FieldType\Media\SearchField Class Reference

Indexable definition for Media field type. More...

Inheritance diagram for eZ\Publish\Core\FieldType\Media\SearchField:

## Public Member Functions
| getIndexData (Field $field, FieldDefinition $fieldDefinition)
| Get index data for field for search backend. More...
| getIndexDefinition ()
| Get index field types for search backend. More...
| getDefaultMatchField ()
| Get name of the default field to be used for matching. More...
| getDefaultSortField ()
| Get name of the default field to be used for sorting. More...
Public Member Functions inherited from eZ\Publish\SPI\FieldType\Indexable
| getIndexData (Field $field, FieldDefinition $fieldDefinition)
| Get index data for field for search backend. More...

## Detailed Description

Indexable definition for Media field type.

Definition at line 17 of file Media/SearchField.php.

## Member Function Documentation

## ◆ getDefaultMatchField()

eZ\Publish\Core\FieldType\Media\SearchField::getDefaultMatchField | ( |  | ) |

Get name of the default field to be used for matching.

As field types can index multiple fields (see MapLocation field type's implementation of this interface), this method is used to define default field for matching. Default field is typically used by Field criterion.

Returns
  string

Implements eZ\Publish\SPI\FieldType\Indexable.

Definition at line 71 of file Media/SearchField.php.

Referenced by eZ\Publish\Core\FieldType\Media\SearchField\getDefaultSortField().

## ◆ getDefaultSortField()

eZ\Publish\Core\FieldType\Media\SearchField::getDefaultSortField | ( |  | ) |

Get name of the default field to be used for sorting.

As field types can index multiple fields (see MapLocation field type's implementation of this interface), this method is used to define default field for sorting. Default field is typically used by Field sort clause.

Returns
  string

Implements eZ\Publish\SPI\FieldType\Indexable.

Definition at line 85 of file Media/SearchField.php.

References eZ\Publish\Core\FieldType\Media\SearchField\getDefaultMatchField().

## ◆ getIndexData()

eZ\Publish\Core\FieldType\Media\SearchField::getIndexData | ( | Field | $field,
|  | FieldDefinition | $fieldDefinition
| ) |  |

Get index data for field for search backend.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Field | $field |
  \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition | $fieldDefinition |

Returns
  \eZ\Publish\SPI\Search\Field[]

Definition at line 27 of file Media/SearchField.php.

## ◆ getIndexDefinition()

eZ\Publish\Core\FieldType\Media\SearchField::getIndexDefinition | ( |  | ) |

Get index field types for search backend.

Returns
  \eZ\Publish\SPI\Search\FieldType[]

Implements eZ\Publish\SPI\FieldType\Indexable.

Definition at line 53 of file Media/SearchField.php.

The documentation for this class was generated from the following file:

- Media/SearchField.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.